{% extends 'base.html.twig' %}

{% block title %}User{% endblock %}

{% block body %}




    <div class="ui segment" style="margin-top: 30px;">
        <h2 class="ui header">
            <i class="settings icon"></i>
            <div class="content">
                Utilisateur
                <div class="sub header">Ses informations</div>
            </div>
        </h2>
        <div class="ui divider"></div>

        <ul class="show" style="list-style: none;">
            <li>
                <span class="title">Nom : </span>
                <span>{{ user.name }}</span>
            </li>
            <li>
                <span class="title">Prénom : </span>
                <span>{{ user.surname }}</span>
            </li>
            <li>
                <span class="title">Email : </span>
                <span>{{ user.email }}</span>
            </li>
            <li>
                <span class="title">Roles : </span>
                {% for role in user.roles %}
                    <span>
                        {% if role == 'ROLE_USER' %}
                            <span class="custom-button noselect">Utilisateur</span>
                        {% elseif role == 'ROLE_ADMIN' %}
                            <span class="custom-button noselect">Administrateur</span>
                        {% endif %}

                    </span>
                {% endfor %}
            </li>
            <li>
                <div style="display: flex;">
                    {% if is_granted('ROLE_ADMIN') %}
                        <a href="{{ path('user_edit', {'id': user.id}) }}" class="ui button green">Editer</a>
                        {{ include('user/_delete_form.html.twig') }}

                    {% endif %}
                    <a class="ui icon button" href="{{ path('user_index') }}">
                        <i class="sign out alternate icon"></i>
                    </a>
                </div>
            </li>
        </ul>

        {% for team in user.userTeams %}
        <div class="team">
            <div class ="team-details">
                <h2 class="team-name">Les projets de l'équipe {{ team.name }}</h2>
                <p class ="team-manager">Manager : {{ team.manager.name }}</p>
            </div>
            <div class="team-projects">
        {% for project in team.project %}
            
                
                <div class ="project-item-container">

                <p class="project-title"> {{ project.name }} </p>
                <p class="project-deadline">Deadline : {{ project.deadline|date("m/d/Y") }}</p>
                <div class="manage-project">
                    {% if is_granted('ROLE_USER') %}
                    
                    <a href="#" class="edit-project">
                        <img class="project-edit-icon" src="{{ asset('/Assets/img/writing.png') }}">
                    </a>

                    {% endif %}
                    <a href='/project/{{ project.id }}' class="more-info">
                        <img class="more-info-icon" src="{{ asset('/Assets/img/more.png') }}">
                    </a>
                </div>
            </div>
        {% endfor %}
        </div>
        </div>

    {% endfor %}






    </div>


{% endblock %}
